﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[ACCMAS]') AND name = N'XACCMAS1')
BEGIN 
PRINT 'Creating index XACCMAS1 on table ACCMAS'
CREATE UNIQUE NONCLUSTERED INDEX [XACCMAS1] ON [dbo].[ACCMAS] 
(
	[DEPO] ASC,
	[ALPH] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[ACCMAS]') AND name = N'XACCMAS2')
BEGIN 
PRINT 'Creating index XACCMAS2 on table ACCMAS'
CREATE UNIQUE NONCLUSTERED INDEX [XACCMAS2] ON [dbo].[ACCMAS] 
(
	[ALPH] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'ACCMAS' AND COLUMN_NAME = 'DSTP' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_ACCMAS_DSTP')
BEGIN 
    PRINT 'Creating default constraint DF_ACCMAS_DSTP on table ACCMAS' 
    ALTER TABLE [dbo].[ACCMAS]
    ADD CONSTRAINT [DF_ACCMAS_DSTP] DEFAULT ((0)) FOR [DSTP]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'ACCMAS' AND COLUMN_NAME = 'URCS' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_ACCMAS_URCS')
BEGIN 
    PRINT 'Creating default constraint DF_ACCMAS_URCS on table ACCMAS' 
    ALTER TABLE [dbo].[ACCMAS]
    ADD CONSTRAINT [DF_ACCMAS_URCS] DEFAULT ((0)) FOR [URCS]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'ACCMAS' AND COLUMN_NAME = 'DELC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_ACCMAS_DELC')
BEGIN 
    PRINT 'Creating default constraint DF_ACCMAS_DELC on table ACCMAS' 
    ALTER TABLE [dbo].[ACCMAS]
    ADD CONSTRAINT [DF_ACCMAS_DELC] DEFAULT ((0)) FOR [DELC]
END 
GO

